Changeset 16556 in josm for trunk/tools/ivy.xml


Ignore:
Timestamp:
2020-06-07T15:27:41+02:00 (18 months ago)
Author:
Don-vip
Message:

fix #19334 - Upgrade to error_prone 2.4.0

Location:
trunk/tools
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/tools

    • Property svn:ignore
      •  

        old new  
        11ivy-report
        22jacocoant.jar
         3error_prone
  • trunk/tools/ivy.xml

    r16391 r16556  
    99        <conf name="pmd" description="Everything needed for running PMD"/>
    1010        <conf name="spotbugs" description="Everything needed for running SpotBugs"/>
     11        <conf name="errorprone" description="Everything needed for running error-prone"/>
    1112    </configurations>
    1213    <dependencies>
     
    2728        <dependency org="com.github.spotbugs" name="spotbugs" rev="4.0.1" conf="spotbugs->default"/>
    2829        <dependency org="com.github.spotbugs" name="spotbugs-ant" rev="4.0.1" conf="spotbugs->default"/>
     30        <!-- errorprone->default -->
     31        <dependency org="com.google.errorprone" name="error_prone_core" rev="2.4.0" conf="errorprone->default"/>
    2932    </dependencies>
    3033</ivy-module>
Note: See TracChangeset for help on using the changeset viewer.